Package ch.qos.logback.classic.selector

# Interface ContextSelector

All Known Implementing Classes:
  `ContextJNDISelector`, `DefaultContextSelector`

public interface ContextSelector
An interface that provides access to different contexts. It is used by the LoggerFactory to access the context it will use to retrieve loggers.

Author:
  Ceki Gülcü, Sébastien Pennec

## Method Summary

Modifier and Type
Method
Description
`LoggerContext`
`detachLoggerContext(String loggerContextName)`
`List<String>`
`getContextNames()`
`LoggerContext`
`getDefaultLoggerContext()`
`LoggerContext`
`getLoggerContext()`
`LoggerContext`
`getLoggerContext(String name)`

## Method Details

### getLoggerContext

LoggerContext getLoggerContext()

### getLoggerContext

LoggerContext getLoggerContext(String name)

### getDefaultLoggerContext

LoggerContext getDefaultLoggerContext()

### detachLoggerContext

LoggerContext detachLoggerContext(String loggerContextName)

### getContextNames

List<String> getContextNames()